GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::PGXCodec Class Reference

Class to do PGX See PGX as used in JPEG 2000 implementation and reference images. More...

`#include <gdcmPGXCodec.h>`

Inheritance diagram for gdcm::PGXCodec:
[legend]
Collaboration diagram for gdcm::PGXCodec:
[legend]

## Public Member Functions

| PGXCodec ()
| ~PGXCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | Read (const char *filename, DataElement &out) const
bool | Write (const char *filename, const DataElement &out) const
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec ()
bool | Decode (DataElement const &is_, DataElement &os)
| Decode.
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const unsigned int d[3])
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)

## Additional Inherited Members

Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Member Functions inherited from gdcm::ImageCodec
bool | DecodeByStreams (std::istream &is_, std::ostream &os)
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
virtual bool | IsValid (PhotometricInterpretation const &pi)
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

Class to do PGX See PGX as used in JPEG 2000 implementation and reference images.

## Constructor & Destructor Documentation

gdcm::PGXCodec::PGXCodec | ( |  | ) |

gdcm::PGXCodec::~PGXCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::PGXCodec::CanCode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::PGXCodec::CanDecode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::PGXCodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  |

virtual

Reimplemented from gdcm::ImageCodec.

bool gdcm::PGXCodec::Read | ( | const char * | filename,
|  | DataElement & | out
| ) |  | const

bool gdcm::PGXCodec::Write | ( | const char * | filename,
|  | const DataElement & | out
| ) |  | const

The documentation for this class was generated from the following file:

- gdcmPGXCodec.h